package com.seer.teach.teacher.service.prompt;

import com.seer.teach.teacher.common.llm.sse.req.Message;
import com.seer.teach.teacher.common.llm.sse.req.Text;

import java.util.List;
import java.util.Map;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-10-28 14:28
 */
public interface PromptsService {

    String getModule();

    String getFunctionName();

    Integer getRoleId();

    Map<String, List<Text>> generatePromptMessages();
}
